## 685f24e3aeffc408dcea883e1d0c738cb18bbe8d.tar.gz

=== Makefile ===
# conkeror: a programmable web browser based on Mozilla XULRunner

CFLAGS ?= -O2 -g
PREFIX ?= /usr/local
MANPREFIX ?= $(PREFIX)/share/man
SHELL ?= /bin/sh

tagged_files != find . -name '*.js'
BUILDDIR != pwd
VERSION != grep '^Version=' application.ini | cut -d '=' -f 2

dirs = branding chrome components content defaults help locale modules search-engines style
files = application.ini chrome.manifest content-policy.manifest Info.plist
contrib = contrib/art contrib/list-xulrunner-versions contrib/modules contrib/run-conkeror contrib/xrev
docs = COPYING CREDITS contrib/config

all: conkeror conkeror-bin conkeror-spawn-helper

clean:
	$(RM) conkeror conkeror-bin conkeror-spawn-helper conkeror-$(VERSION).tar.gz TAGS
	$(RM) -r conkeror-$(VERSION)

conkeror: conkeror.in
	sed 's:@datadir@:$(BUILDDIR):g' $? > $@
	chmod +x $@

conkeror-bin: conkeror.in
	sed 's:@datadir@:$(PREFIX)/share/conkeror:g' $? > $@

conkeror-spawn-helper: conkeror-spawn-helper.c

conkeror-$(VERSION).tar.gz:
	mkdir conkeror-$(VERSION)
	cp -a $(dirs) $(files) \
	      conkeror.in conkeror-spawn-helper.c COPYING CREDITS contrib README Makefile tests \
	      conkeror-$(VERSION)
	tar czf conkeror-$(VERSION).tar.gz conkeror-$(VERSION)
	$(RM) -r conkeror-$(VERSION)

dist: conkeror-$(VERSION).tar.gz

etags: TAGS

install: all $(dirs) $(files) $(contrib) $(docs)
	install -D -m644 contrib/man/conkeror.1 \
			 "$(DESTDIR)/$(MANPREFIX)/man1/conkeror.1"
	install -D -m644 contrib/conkeror.desktop \
			 "$(DESTDIR)/$(PREFIX)/share/applications/conkeror.desktop"
	install -D -m755 conkeror-bin "$(DESTDIR)/$(PREFIX)/bin/conkeror"
	install -D -m755 conkeror-spawn-helper \
			 "$(DESTDIR)/$(PREFIX)/bin/conkeror-spawn-helper"
	mkdir -p "$(DESTDIR)/$(PREFIX)/share/conkeror/contrib"
	cp -a $(dirs) $(files) "$(DESTDIR)/$(PREFIX)/share/conkeror"
	cp -a $(contrib) "$(DESTDIR)/$(PREFIX)/share/conkeror/contrib"
	mkdir -p "$(DESTDIR)/$(PREFIX)/share/doc/conkeror"
	cp -a $(docs) "$(DESTDIR)/$(PREFIX)/share/doc/conkeror"

# Don't use this. Learn to use your distribution's packaging tools.
uninstall:
	$(RM) "$(DESTDIR)/$(MANPREFIX)/man1/conkeror.1"
	$(RM) "$(DESTDIR)/$(PREFIX)/share/applications/conkeror.desktop"
	$(RM) "$(DESTDIR)/$(PREFIX)/bin/conkeror"
	$(RM) "$(DESTDIR)/$(PREFIX)/bin/conkeror-spawn-helper"
	$(RM) -r "$(DESTDIR)/$(PREFIX)/share/conkeror/"
	$(RM) -r "$(DESTDIR)/$(PREFIX)/share/doc/conkeror/"

TAGS:
	@etags $(tagged_files)

.PHONY: clean dist etags install uninstall

=== debian/changelog ===
conkeror (1.0.4-1) UNRELEASED; urgency=medium

  * New upstream snapshot.
    + Fixes HTTP Basic Auth issues since Firefox 52. (Closes: #859364)

 -- Axel Beckert <abe@debian.org>  Wed, 29 Nov 2017 18:31:44 +0100

conkeror (1.0.3+git171024-2) unstable; urgency=high

  * The deathbed upload.
  * Set "Rules-Requires-Root: no".
  * Prefer firefox-esr and iceweasel over firefox to not try running FF ≥
    57 if both, firefox and firefox-esr are installed.

 -- Axel Beckert <abe@debian.org>  Sat, 25 Nov 2017 00:35:45 +0100

conkeror (1.0.3+git171024-1) unstable; urgency=medium

  * New upstream snapshot.
  * Restrict dependencies on Firefox variants to versions below 57.
  * debian/rules: Use pkg-info.mk instead of parsing debian/changelog.
  * Declare compliance with Debian Policy 4.1.1.
    + Change Priority from extra to optional.
    + Use HTTPS in debian/copyright format URL.
  * Switch to debhelper compatibility level 10.
    + Bump versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Tue, 24 Oct 2017 23:16:02 +0200

conkeror (1.0.3+git170123-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fixes minor compatibility issues with more recent Firefox versions.
  * Create a proper watch file now that upstream uses Semantic Versioning.

 -- Axel Beckert <abe@debian.org>  Mon, 23 Jan 2017 00:18:58 +0100

conkeror (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Massively simplify /usr/bin/conkeror, no more look for xulrunner.
    + Drop alternative dependencies on xulrunner-<version>.
    + Only support firefox, firefox-esr and iceweasel.
    + Set $XUL_APP_FILE instead of passing "-app".
    + Update package description to no more mention XULRunner.
    + Remove related lintian overrides.
  * Declare compliance with Debian Policy 3.9.8.
  * Update locations of some cross-references in debian/copyright.
  * Override Lintian warnings vcs-field-uses-insecure-uri since repo.or.cz
    only uses a self-signed SSL certificate.

 -- Axel Beckert <abe@debian.org>  Wed, 08 Jun 2016 01:49:35 +0200

conkeror (1.0~~pre-1+git160130-1) unstable; urgency=high

  * New upstream snapshot:
    + Fixes let syntax with Firefox/Iceweasel 44. (Closes: #813039)
  * Enable all hardening features for conkeror-spawn-helper.

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jan 2016 03:11:03 +0100

conkeror (1.0~~pre-1+git150730-1) unstable; urgency=medium

  * New upstream snapshot:
    + Fixes saveURI issues with Firefox >= 36
    + Fixes issues with more recent adblockplus releases.

 -- Axel Beckert <abe@debian.org>  Thu, 30 Jul 2015 21:49:14 +0200

conkeror (1.0~~pre-1+git150409-1) unstable; urgency=medium

  * New upstream snapshot:
    + StackExchange page-mode no more loaded by default (Closes: #772655)
    + Fixes JS syntax errors with Iceweasel 36 and above (Closes: #781487)
    + Update debian/conkeror.install to new location of conkeror.desktop
  * Try to make debian package builds reproducible.
    + Set dates and hostname in BuildID to data only depending on the
      current changelog entry.
  * Update bug report script to also look for iceweasel's bug report
    script. (Closes: #781482)
  * Make use of upstream's rewritten Makefile (via dh_auto_install) and
    change from installation whitelist to installation blacklist (delete a
    few files from debian/tmp which shouldn't go into the package).
    + Removed (obsolete):
      - debian/conkeror-spawn-process-helper.dirs
      - debian/conkeror.dirs
      - debian/conkeror.manpages
    + Massively reduced (list of upstream files now in upstream Makefile):
      - debian/conkeror.install
    + Modified, includes the mentioned blacklist:
      - debian/rules
  * debian/rules: Remove long-time obsolete and non-functional build-time
    modification of components/application.js.
  * debian/copyright: Update authors and years.

 -- Axel Beckert <abe@debian.org>  Thu, 30 Apr 2015 02:35:32 +0200

conkeror (1.0~~pre-1+git141025-1) unstable; urgency=low

  * New upstream snapshot
    + Updated reddit and stackexchange modes to keep up with website
      changes.
  * Resync conkeror.desktop's MimeType with iceweasel's, but ignore
    application/vnd.mozilla.xul+xml. (Closes: #746691)

 -- Axel Beckert <abe@debian.org>  Sat, 25 Oct 2014 18:34:13 +0200

conkeror (1.0~~pre-1+git140812-1) unstable; urgency=low

  * New upstream snapshot
    + Updated Google Images webjump
    + Most Google webjumps now with HTTPS
  * Updated Debian and Ubuntu webjumps
    + Most Debian and some Ubuntu webjumps now with HTTPS
    + debfile webjump working again
    + drop non-working ubuntufile webjump (doesn't work without suite)
    + debtracker webjump added (Thanks Christoph Egger for the idea!)
    + lpbugnr webjump added (ubuntubugs only works for source packages)
  * Update patch headers to conform to DEP-3
  * Convert debian/copyright to machine-readable DEP-5 format
    + No more ship MPL in separate file
  * Update copyright years and holders in debian/copyright
  * Update copyright years in debian/patches/deb-webjumps.diff
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Axel Beckert <abe@debian.org>  Mon, 06 Oct 2014 01:05:32 +0200

conkeror (1.0~~pre-1+git140616-1) unstable; urgency=medium

  * New upstream pre-release 1.0pre1
  * Support using "iceweasel -app" since there's no more xulrunner. :-(
    + Add primary alternative dependency on iceweasel >= 30
    + Update README.Debian explaining how /usr/bin/conkeror works
    + Closes: #751557

 -- Axel Beckert <abe@debian.org>  Mon, 16 Jun 2014 00:00:50 +0200

conkeror (1.0~~pre+git140428-1) unstable; urgency=medium

  * New upstream snapshot
  * Add support for xulrunner 28 to 30.
  * Reformat debian/control in wrap-and-sort style.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Axel Beckert <abe@debian.org>  Mon, 28 Apr 2014 23:18:41 +0200

conkeror (1.0~~pre+git131116-1) unstable; urgency=low

  * New upstream snapshot


=== debian/control ===
Source: conkeror
Section: web
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.16.1~)
Standards-Version: 4.1.1
Homepage: http://conkeror.org/
Vcs-Browser: http://repo.or.cz/w/conkeror.git
Vcs-Git: git://repo.or.cz/conkeror.git
Rules-Requires-Root: no

Package: conkeror
Architecture: all
Depends: ${misc:Depends},
         firefox (<< 57~) | firefox-esr (<< 57~) | iceweasel (<< 57~)
Recommends: conkeror-spawn-process-helper,
            xdg-utils
Breaks: conkeror-spawn-process-helper (<< 0.9~git080901-1)
Suggests: emacs | emacsen
Provides: www-browser
Xb-Xul-AppId: {a79fe89b-6662-4ff4-8e88-09950ad4dfde}
Description: keyboard focused web browser with Emacs look and feel
 Conkeror is a highly-programmable web browser based on Mozilla's
 rendering engine Gecko which is the base of all Mozilla products
 including Firefox. Conkeror has a sophisticated keyboard system for
 running commands and interacting with web page content, modelled
 after Emacs and Lynx. It is self-documenting and extensible with
 JavaScript.
 .
 It comes with builtin support for several Web 2.0 sites like several
 Google services (Search, Gmail, Maps, Reader, etc.), Del.icio.us,
 Reddit, Last.fm and YouTube. For easier editing of form fields, it
 can spawn external editors. For this feature the recommended
 conkeror-spawn-process-helper package needs to be installed.
 .
 Despite its very similar sounding name, Conkeror is not related to
 the KDE web browser and file manager Konqueror in any way.

Package: conkeror-spawn-process-helper
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: conkeror
Breaks: conkeror (<< 0.9~git080901-1)
Description: spawn external processes in Conkeror
 This helper tool named conkeror-spawn-helper is necessary to let the
 Conkeror web browser spawn external process, e.g. to edit form fields
 in an external program. It was previously named spawn-process-helper.
 .
 Maybe helpful for other Gecko-based applications, too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Generating a xulrunner build id and other strings
include /usr/share/dpkg/pkg-info.mk
BUILDID := debian@$(DEBIAN_VERSION)_$(SOURCE_DATE_EPOCH)
US  = $(CURDIR)/debian/tmp/usr/share
USC = $(US)/conkeror

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export CFLAGS+=$(LDFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm -f $(US)/doc/conkeror/COPYING $(USC)/Info.plist

	# Add generated Build ID and Debian version to version output
	sed -e 's/BuildID=git/BuildID=${BUILDID}/;s/^Version=\(.*\)$$/Version=\1 (Debian-${DEBIAN_VERSION})/' \
	    -i $(USC)/application.ini
